Skip to main content
GET
/
cdr
/
v1
/
doctor
/
{doc_id}
/
Get Doctor by ID
curl --request GET \
  --url https://api.eka.care/cdr/v1/doctor/{doc_id}/ \
  --header 'auth: <auth>'
import requests

url = "https://api.eka.care/cdr/v1/doctor/{doc_id}/"

headers = {"auth": "<auth>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {auth: '<auth>'}};

fetch('https://api.eka.care/cdr/v1/doctor/{doc_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "doctor": {
    "id": "do1769174683513",
    "firstname": "Rajesh",
    "lastname": "Sharma",
    "mobile": "0000011111",
    "email": "dr.rajesh@example.com",
    "profile_image_url": "https://example.com/images/dr-rajesh.jpg",
    "about": "Dr. Rajesh Sharma is a renowned cardiologist with over 15 years of experience.",
    "specialisation": "Cardiology",
    "clinics": [
      {
        "id": "c-ab2c-34f2d-2gwd-2g2g",
        "name": "Sunrise Clinic"
      }
    ],
    "partner_id": "Part_doc"
  }
}
{
"status": "error",
"message": "Doctor not found"
}

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

doc_id
string
required

Doctor's Eka ID or partner-provided ID

Example:

"do1769174683513"

Response

OK - Doctor profile retrieved

status
string
Example:

"success"

doctor
object